### Method

# GObject Object set_property

#### Declaration [src]

    void
    g_object_set_property (
      GObject* object,
      const gchar* property_name,
      const GValue* value
    )

#### Description [src]

Sets a property on an object.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The value.

  The data is owned by the caller of the method.